oracle.xml.parser.schema

## Class XSDInputSource

- java.lang.Object
- - org.xml.sax.InputSource
  - - oracle.xml.parser.schema.XSDInputSource

    public class XSDInputSource
    extends InputSource

### Constructor Summary

Constructors
Constructor and Description
`XSDInputSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLSchema` `getXMLSchema()`
`void` `setXMLSchema(XMLSchema schema)`

### Methods inherited from class org.xml.sax.InputSource

`getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDInputSource

    public XSDInputSource()

### Method Detail

#### setXMLSchema

    public void setXMLSchema(XMLSchema schema)

#### getXMLSchema

    public XMLSchema getXMLSchema()

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.